---
layout: page
title: Posts
background: '/img/bg-post-new.jpg'
---

{% for post in paginator.posts %}

<article class="post-preview">
  <a href="{{ post.url | prepend: site.baseurl | replace: '//', '/' }}">
    <h2 class="post-title">{{ post.title }}</h2>
    {% if post.subtitle %}
    <h3 class="post-subtitle">{{ post.subtitle }}</h3>
    {% else %}
    <h3 class="post-subtitle">{{ post.excerpt | strip_html | truncatewords: 15 }}</h3>
    {% endif %}
  </a>
  <p class="post-meta">Posted by
    {% if post.author %}
    {{ post.author }}
    {% else %}
    {{ site.author }}
    {% endif %}
    on {{ post.date | date: '%B %d, %Y' }} &middot; {% include read_time.html content=post.content %}
  </p>
</article>

<hr>

{% endfor %}

<!-- Pager -->
{% if paginator.total_pages > 1 %}

<div class="clearfix">

  {% if paginator.previous_page %}
  <!--a class="btn btn-primary float-left" href="{{ paginator.previous_page_path | prepend: site.baseurl | replace: '//', '/' }}">&larr;
    Newer<span class="d-none d-md-inline"> Posts</span></a-->
	 <button class="btn btn-primary" id="theme-toggle" onclick="location.href='{{ paginator.previous_page_path | prepend: site.baseurl | replace: '//', '/' }}';">Newer posts: {{ page.previous_page_path }}</button>
  {% endif %}

  {% if paginator.next_page %}
  <!--a class="btn btn-primary float-right" href="{{ paginator.next_page_path | prepend: site.baseurl | replace: '//', '/' }}">Older<span class="d-none d-md-inline"> Posts</span> &rarr;</a-->
	 <button class="btn btn-primary" id="theme-toggle" onclick="location.href='{{ paginator.next_page_path | prepend: site.baseurl | replace: '//', '/' }}';">Older posts: {{ page.next_page_path }}</button>
  {% endif %}

</div>

{% endif %}
